OpenOffice.org Linux/SPARC

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

OpenOffice.org Linux/SPARC

Bugzilla from devel.sjanki@gmail.com
I have built OpenOffice.org 2.3.0rc2 on Linux/SPARC but I
run into the following error during the compilation of udkapi:

> =============
> Building project udkapi
> =============
> /mnt/hd/tmp/OOG680_m4/udkapi/com/sun/star/uno
> mkout -- version: 1.7
> idlc @/tmp/mkILnXRB
> idlc: compile 'Exception.idl' ...
> idlc: compile 'NamingService.idl' ...
> idlc: compile 'RuntimeException.idl' ...
> idlc: compile 'SecurityException.idl' ...
> idlc: compile 'DeploymentException.idl' ...
> idlc: compile 'TypeClass.idl' ...
> dmake:  Error code 138, while making
> '../../../../unxlngs.pro/ucr/cssuno.db'
> ---* tg_merge.mk *---
>
> ERROR: Error 65280 occurred while making
> /mnt/hd/tmp/OOG680_m4/udkapi/com/sun/star/uno
> dmake:  Error code 1, while making 'build_instsetoo_native'
> ---*  *---

The same error also occurred during compilation of 2.2.1. I am
using Blackdown Java 1.4.1 SPARC because there is no newer
version of the JDK for Linux/SPARC at the moment. I will try
and see if I can get OpenJDK ported to Linux/SPARC.

My system tools are GCC 4.1.2, Binutils 2.17.50.0.17 and Glibc
2.5 on Slackware 12.0 SPARC.

Sunil



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: OpenOffice.org Linux/SPARC

Jim Watson
Sunil Amitkumar Janki wrote:

> I have built OpenOffice.org 2.3.0rc2 on Linux/SPARC but I
> run into the following error during the compilation of udkapi:
>
>> =============
>> Building project udkapi
>> =============
>> /mnt/hd/tmp/OOG680_m4/udkapi/com/sun/star/uno
>> mkout -- version: 1.7
>> idlc @/tmp/mkILnXRB
>> idlc: compile 'Exception.idl' ...
>> idlc: compile 'NamingService.idl' ...
>> idlc: compile 'RuntimeException.idl' ...
>> idlc: compile 'SecurityException.idl' ...
>> idlc: compile 'DeploymentException.idl' ...
>> idlc: compile 'TypeClass.idl' ...
>> dmake:  Error code 138, while making
>> '../../../../unxlngs.pro/ucr/cssuno.db'
>> ---* tg_merge.mk *---
>>
>> ERROR: Error 65280 occurred while making
>> /mnt/hd/tmp/OOG680_m4/udkapi/com/sun/star/uno
>> dmake:  Error code 1, while making 'build_instsetoo_native'
>> ---*  *---
>
Hi Sunil,

that is issue 65788
http://www.openoffice.org/issues/show_bug.cgi?id=65788

You have to configure --with-alloc=system


> The same error also occurred during compilation of 2.2.1. I am
> using Blackdown Java 1.4.1 SPARC because there is no newer
> version of the JDK for Linux/SPARC at the moment. I will try
> and see if I can get OpenJDK ported to Linux/SPARC.
>
> My system tools are GCC 4.1.2, Binutils 2.17.50.0.17 and Glibc
> 2.5 on Slackware 12.0 SPARC.
>
> Sunil
>
>
I gave up with java because of other build errors.
Build with ecj/gcj works fine.

I put some notes on the wiki but they are a bit out of date now :(
http://wiki.services.openoffice.org/wiki/GNULinuxSparcPorting

jim

>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: OpenOffice.org Linux/SPARC

Bugzilla from devel.sjanki@gmail.com
Jim Watson wrote:
> Hi Sunil,
>
> that is issue 65788
> http://www.openoffice.org/issues/show_bug.cgi?id=65788
>
> You have to configure --with-alloc=system

Hi Jim,

I have done that and I get a lot further into the build
process but building the udkapi and offapi files was
kind of a hassle, maybe because of Perl, Java or even
kernel bugs.

> I gave up with java because of other build errors.
> Build with ecj/gcj works fine.
>
> I put some notes on the wiki but they are a bit out of date now :(
> http://wiki.services.openoffice.org/wiki/GNULinuxSparcPorting
>
> jim

Isn't the ecj/gcj framework only supported in GCC 4.3? I thought
that the JDK 1.5 compatibility of GCC 4.1/4.2 was insufficient to
build all of OpenOffice.org.

I get the following error building "pyuno":

> =============
> Building project pyuno
> =============
> /mnt/hd/tmp/OOG680_m4/pyuno/source/module
> --- NOOPTFILES ---
> `../../unxlngs.pro/slo/pyuno_module.obj' is up to date
> --- NOOPTFILES OVER ---
> -------------
> /mnt/hd/tmp/OOG680_m4/pyuno/source/loader
> -------------
> rm -f ../../unxlngs.pro/lib/pyuno_services.rdb
> ../../unxlngs.pro/lib/pyuno_services.tmp
> ../../unxlngs.pro/lib/pyuno_services.rdb
> cd ../../unxlngs.pro/lib && regcomp -register -r pyuno_services.tmp -c
> typeconverter.uno -c invocation.uno -c reflection.uno -c
> introspection.uno -c invocadapt.uno -c proxyfac.uno -c pythonloader.uno
> /usr/bin/bash: line 1: 31660 Bus error               regcomp -register
> -r pyuno_services.tmp -c typeconverter.uno -c invocation.uno -c
> reflection.uno -c introspection.uno -c invocadapt.uno -c proxyfac.uno
> -c pythonloader.uno
> dmake:  Error code 138, while making
> '../../unxlngs.pro/lib/pyuno_services.rdb'
> ---* tg_merge.mk *---
>
> ERROR: Error 65280 occurred while making
> /mnt/hd/tmp/OOG680_m4/pyuno/source/loader
> dmake:  Error code 1, while making 'build_instsetoo_native'
> ---*  *---

Sunil

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: OpenOffice.org Linux/SPARC

Jim Watson
Sunil Amitkumar Janki wrote:
>
> Isn't the ecj/gcj framework only supported in GCC 4.3?
Yes, I think it was gcc4.3 that I built for myself

> I thought
> that the JDK 1.5 compatibility of GCC 4.1/4.2 was insufficient to
> build all of OpenOffice.org.
>
The solution I think is to build ecj separately from gcc, but I never
tried that. The debian unstable distribution provides all platforms
(including sparc) with a suitable ecj and other java replacement stuff
through the java-gcj-compat packages so maybe your distro should do
something similar. It provides a standard approach for building
everything that needs java. I have only used that method lately, as it
is working fine now.

> I get the following error building "pyuno":
>
>> =============
>> Building project pyuno
>> =============
>> /mnt/hd/tmp/OOG680_m4/pyuno/source/module
>> --- NOOPTFILES ---
>> `../../unxlngs.pro/slo/pyuno_module.obj' is up to date
>> --- NOOPTFILES OVER ---
>> -------------
>> /mnt/hd/tmp/OOG680_m4/pyuno/source/loader
>> -------------
>> rm -f ../../unxlngs.pro/lib/pyuno_services.rdb
>> ../../unxlngs.pro/lib/pyuno_services.tmp
>> ../../unxlngs.pro/lib/pyuno_services.rdb
>> cd ../../unxlngs.pro/lib && regcomp -register -r pyuno_services.tmp
>> -c typeconverter.uno -c invocation.uno -c reflection.uno -c
>> introspection.uno -c invocadapt.uno -c proxyfac.uno -c pythonloader.uno
>> /usr/bin/bash: line 1: 31660 Bus error               regcomp
>> -register -r pyuno_services.tmp -c typeconverter.uno -c
>> invocation.uno -c reflection.uno -c introspection.uno -c
>> invocadapt.uno -c proxyfac.uno -c pythonloader.uno
>> dmake:  Error code 138, while making
>> '../../unxlngs.pro/lib/pyuno_services.rdb'
>> ---* tg_merge.mk *---
>>
>> ERROR: Error 65280 occurred while making
>> /mnt/hd/tmp/OOG680_m4/pyuno/source/loader
>> dmake:  Error code 1, while making 'build_instsetoo_native'
>> ---*  *---
>
Try building both cppuhelper and pyuno with debug=true

There is an old issue about this 31057 but i didnt see it lately...
I will try and reproduce this but it will be a couple of days

jim

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]